classification
Title: Add DEBUG flag to documentation of re.compile
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, gruszczy, python-dev, sandro.tosi
Priority: normal Keywords: patch

Created on 2011-12-31 18:26 by gruszczy, last changed 2012-01-02 15:39 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
13690.patch gruszczy, 2011-12-31 18:26 review
Messages (3)
msg150423 - (view) Author: Filip Gruszczyński (gruszczy) Date: 2011-12-31 18:26
This is a useful flag and it would be good, if it was in documentation.
msg150429 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-01-01 11:57
New changeset 9aebb4d07ddf by Sandro Tosi in branch '2.7':
Issue #13690: add re.DEBUG; patch by Filip Gruszczyński
http://hg.python.org/cpython/rev/9aebb4d07ddf

New changeset f4a9c7cf98dd by Sandro Tosi in branch '3.2':
Issue #13690: add re.DEBUG; patch by Filip Gruszczyński
http://hg.python.org/cpython/rev/f4a9c7cf98dd
msg150458 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-01-02 15:39
> Display debug information about compiled expression.

IMO it would be helpful to define “display” more precisely (e.g. “Print debugging information on stdout during pattern compilation”).
History
Date User Action Args
2012-01-02 15:39:00eric.araujosetnosy: + eric.araujo
messages: + msg150458
2012-01-01 11:58:49sandro.tosisetstatus: open -> closed
assignee: docs@python
components: + Documentation
versions: + Python 2.7, Python 3.2, Python 3.3
nosy: + sandro.tosi, docs@python

resolution: fixed
stage: resolved
2012-01-01 11:57:28python-devsetnosy: + python-dev
messages: + msg150429
2011-12-31 18:26:57gruszczysetfiles: + 13690.patch
keywords: + patch
2011-12-31 18:26:17gruszczycreate